HeapStats (Oracle - Berkeley DB Java API)
Date: 2017-04-13

com.sleepycat.db

## Class HeapStats

- java.lang.Object
- - com.sleepycat.db.DatabaseStats
  - - com.sleepycat.db.HeapStats

-     public class HeapStats
      extends DatabaseStats

  The HeapStats object is used to return Heap database statistics.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeapExtFiles()` The number of external files.
    `int` | `getHeapMagic()` Magic number that identifies the file as a Heap file.
    `int` | `getHeapMetaFlags()` Reports internal flags.
    `int` | `getHeapNumBlobs()` Deprecated. Replaced with `getHeapExtFiles()`.
    `int` | `getHeapNumRecs()` Reports the number of records in the Heap database.
    `int` | `getHeapNumRegions()` The number of regions in the Heap database.
    `int` | `getHeapPageCount()` The number of pages in the database.
    `int` | `getHeapPageSize()` The underlying database page (and bucket) size, in bytes.
    `int` | `getHeapRegionSize()` The number of pages in a region in the Heap database.
    `int` | `getHeapVersion()` The version of the Heap database.
    `java.lang.String` | `toString()` For convenience, the HeapStats class has a toString method that lists all the data fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getHeapMagic

          public int getHeapMagic()

      Magic number that identifies the file as a Heap file.
      Returns:
        magic number that identifies the file as a Heap file

    - #### getHeapVersion

          public int getHeapVersion()

      The version of the Heap database.
      Returns:
        the version of the Heap database

    - #### getHeapMetaFlags

          public int getHeapMetaFlags()

      Reports internal flags. For internal use only.
      Returns:
        internal flags

    - #### getHeapExtFiles

          public int getHeapExtFiles()

      The number of external files.
      Returns:
        the number of external files

    - #### getHeapNumBlobs

          public int getHeapNumBlobs()

      Deprecated. Replaced with `getHeapExtFiles()`.
      Returns:
        the number of external files

    - #### getHeapNumRecs

          public int getHeapNumRecs()

      Reports the number of records in the Heap database.
      Returns:
        the number of records in the Heap database

    - #### getHeapPageCount

          public int getHeapPageCount()

      The number of pages in the database.
      Returns:
        the number of pages in the database

    - #### getHeapPageSize

          public int getHeapPageSize()

      The underlying database page (and bucket) size, in bytes.
      Returns:
        the underlying database page size, in bytes

    - #### getHeapNumRegions

          public int getHeapNumRegions()

      The number of regions in the Heap database.
      Returns:
        the number of regions in the Heap database

    - #### getHeapRegionSize

          public int getHeapRegionSize()

      The number of pages in a region in the Heap database. Returned if DB_FAST_STAT is set.
      Returns:
        the number of pages in a region in the Heap database

    - #### toString

          public java.lang.String toString()

      For convenience, the HeapStats class has a toString method that lists all the data fields.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a String that lists all the data fields

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.